Indexes   

SchematicRoot (Object)

Represents the top node of the schematic object tree.
From this node all the queries for lists of schematic objects can be made. Furthermore, all the factories handles can be obtained through this interface.

Method Index

GetApplObjFactFromVirtualType
Returns the object factory for specific schematic application.
GetApplicationObjectFactory
Returns the object factory for specific schematic application.
GetCompGroupFromCatalog
Returns specific component group entry in a schematic component catalog document.
GetCompSymbolFromCatalog
Returns specific entry in a schematic component catalog document.
GetComponents
Returns a list of schematic component instances under the root.
GetDrawingStandard
Get the drawing standard.
GetDrawing
Retrieves the drawing root in the schematic document.
GetInterface
Returns specific interface handle on a given object.
GetRefComponents
Returns a list of schematic component references under the root.
GetRoutes
Returns a list of schematic routes under the root.
GetSchBaseFactory
Returns schematic base object factory.
GetSchematicSession
Returns the schematic session the document containing the root is associated with.
GetTemporaryListFactory
Returns the factory to create lists of various types.
GetUnassociatedSymbols
Returns a list of unassociated symbol.
SetDrawingStandard
Set the drawing standard.

Methods


o Func GetApplObjFactFromVirtualType( iApplicationID) As
Returns the object factory for specific schematic application.
Example:
This example illustrates how to get the object factory of user defined virtual type. User provides implementation to this type.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchObjFact As SchAppObjectFactory
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 Set objSchObjFact = objSchPlatformRoot.GetApplObjFactFromVirtualType("UserDefined")(
 
o Func GetApplicationObjectFactory( iApplicationID) As
Returns the object factory for specific schematic application.
Example:
This example illustrates how to get the object factory of Piping and Instrumentation Diagram application.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchObjFact As SchAppObjectFactory
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 Set objSchObjFact = objSchPlatformRoot.GetApplicationObjectFactory("CatSchIDLCATPID")(
 
o Func GetCompGroupFromCatalog( iCatalogEntryName,
iCtlgDoc) As
Returns specific component group entry in a schematic component catalog document.
Example:
This example illustrates how to get a specific component group entry in a schematic component catalog document.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchComponent As SchComponent
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 Dim objCtlgDoc As Document
 Set objCtlgDoc = CATIA.Documents.Open ("Electrical_ANSI_PartFunctions.catalog")
 Set objSchComponent = objSchPlatformRoot.GetCompGroupFromCatalog ("JuncBox-TermBoard",objCtlgDoc)
 
o Func GetCompSymbolFromCatalog( iCatalogEntryName,
iCtlgDoc) As
Returns specific entry in a schematic component catalog document.
Example:
This example illustrates how to get a specific entry in a schematic component catalog document.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchGRRComp As SchGRRComp
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 Dim objCtlgDoc As Document
 Set objCtlgDoc = CATIA.Documents.Open ("PID_ANSI_Equipment.catalog")
 Set objSchGRRComp = objSchPlatformRoot.GetCompSymbolFromCatalog ("Blower",objCtlgDoc)
 
o Func GetComponents() As
Returns a list of schematic component instances under the root.
Example:
This example illustrates how to get the list of component instances from a schematic product document.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchListComps As SchListOfObjects
 Set objoSchListComps = objSchPlatformRoot.GetComponents
 
o Func GetDrawingStandard() As
Get the drawing standard.
Example:
This example illustrates how to get the drafting standard of a schematic document.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchLSymbols As SchListOfObjects
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 oDrwStd = objSchPlatformRoot.GetDrawingStandard
 
o Func GetDrawing() As
Retrieves the drawing root in the schematic document.
Example:
This example illustrates how to get the drawing of a schematic document.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 Dim objDrawRoot As DrawingRoot
 Set objDrawRoot = objSchPlatformRoot.GetDrawing
 
o Func GetInterface( iInterfaceName,
iObject) As
Returns specific interface handle on a given object.
Example:
This example illustrates how to get a specific interface handle from a given object.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchObjFact As SchAppObjectFactory
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 Set objSchObjFact = SchPlatformRoot.GetApplicationObjectFactory("CatSchIDLCATPID")
 Set objSchObjFact2 = objSchPlatformRoot.GetInterface ("CATIASchAppObjectFactory2",SchObjFact)
 
o Func GetRefComponents() As
Returns a list of schematic component references under the root.
Example:
This example illustrates how to get the list of component references from a schematic product document.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchListComps As SchListOfObjects
 Set objSchListComps = objSchPlatformRoot.GetRefComponents
 
o Func GetRoutes() As
Returns a list of schematic routes under the root.
Example:
This example illustrates how to get the list of routes from a schematic product document.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchListRoutes As SchListOfObjects
 Set objSchListRoutes = objSchPlatformRoot.GetRoutes
 
o Func GetSchBaseFactory() As
Returns schematic base object factory.
Example:
This example illustrates how to get the schematic base factory.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchBaseFact As SchBaseFactory
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 Set objSchBaseFact = objSchPlatformRoot.GetBaseFactory
 
o Func GetSchematicSession() As
Returns the schematic session the document containing the root is associated with.
Example:
This example illustrates how to get the schematic session.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchSession As SchSession
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 Set objSchSession = objSchPlatformRoot.GetSession
 
o Func GetTemporaryListFactory() As
Returns the factory to create lists of various types. These lists will not be saved with the model.
Example:
This example illustrates how to get the list factory from a schematic product document.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchList As SchTempListFactory
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 Set objSchList = objSchPlatformRoot.GetTemporaryListFactory
 
o Func GetUnassociatedSymbols() As
Returns a list of unassociated symbol.
Example:
This example illustrates how to get a list of unassociated symbol.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchLSymbols As SchListOfObjects
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 Set objSchLSymbols = objSchPlatformRoot.GetUnassociatedSymbols
 
o Sub SetDrawingStandard( iDrwStd)
Set the drawing standard.
Example:
This example illustrates how to set the drafting standard of a schematic document.
 Dim objSchPlatformRoot As SchematicRoot
 Dim objSchLSymbols As SchListOfObjects
 Dim objProductRoot As Product
 Set objProductRoot = CATIA.ActiveDocument.Product
 Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject ("SchematicRoot")
 objSchPlatformRoot.SetDrawingStandard catISO
 

Copyright © 2006, Dassault Systèmes. All rights reserved.